Bug 9477 - Use Datatables on notices page
Summary: Use Datatables on notices page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/tools/letter.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 01:49 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9477 - Use Datatables on notices page (2.31 KB, patch)
2013-01-24 01:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9477 - Use DataTables on notices page (2.32 KB, patch)
2013-02-07 00:38 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9477 - Use DataTables on notices page (2.86 KB, patch)
2013-02-07 11:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-24 01:49:50 UTC
The notices page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-24 01:52:25 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-02-07 00:38:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-07 11:07:36 UTC
QA Comment:
Replace the tablesorter plugin with datatable.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-07 11:07:49 UTC
Created attachment 15132 [details] [review]
Bug 9477 - Use DataTables on notices page

Replace the tablesorter plugin with the DataTables plugin on the
notices page.

To test, open the notices page (Tools -> Notices and Slips). Confirm
that table sorting works correctly.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: add the no-wrap style in order to keep the same display
as before.
Comment 5 Jared Camins-Esakov 2013-02-07 12:37:20 UTC
This patch has been pushed to master.